For the complete documentation index, see llms.txt. This page is also available as Markdown.

Show AI option status

Show the current AI option status for the Hostinger Tools plugin on the specified WordPress installation.

Show AI option status

get

Show the current AI option status for the Hostinger Tools plugin on the specified WordPress installation. Filter by option to return a single option, or omit it to return all options.

Provide the WordPress installation (software) identifier in the path. It can be obtained from GET /api/hosting/v1/wordpress/installations (the id field).

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
softwarestringRequired

WordPress installation (software) identifier

Example: 1232456789Pattern: ^[0-9]+$
Query parameters
optionstring · enum · nullableOptional

Filter the status by a single AI option.

Example: llmstxtPossible values:
Responses
200

Success response

application/json
is_llmstxt_enabledboolean · nullableOptional

Whether the llms.txt AI option is enabled. Present when the option is requested or when no specific option filter is provided.

Example: true
is_web2agent_enabledboolean · nullableOptional

Whether the Web2Agent AI option is enabled. Present when the option is requested or when no specific option filter is provided.

Example: false
get/api/hosting/v1/accounts/{username}/wordpress/{software}/hostinger-plugins/ai-option/status
GET /api/hosting/v1/accounts/{username}/wordpress/{software}/hostinger-plugins/ai-option/status HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "is_llmstxt_enabled": true,
  "is_web2agent_enabled": false
}

Last updated

Was this helpful?